/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


/* ----------- General ----------- */
p {
	margin-bottom: 0 !important;
	margin-block-end: 0 !important;
}
.elementor-widget-text-editor p:has(+ p) {
	margin-block-end: 20px !important;
}

.text-accent {
    color: var(--e-global-color-a2218da);
}

/* Scroll Bar custom */
::-webkit-scrollbar {
  width: 10px;
  height: 10px;
}
::-webkit-scrollbar-button {
  width: 0px;
  height: 0px;
}
::-webkit-scrollbar-corner {
  background: transparent;
}
::-webkit-scrollbar-thumb {
  background: var(--e-global-color-c0bd780);
  border: 0px none #f4f8f4;
  border-radius: 0px;
}
::-webkit-scrollbar-track {
  background: var(--e-global-color-ad6d80b);
  border: 0px none #f4f8f4;
  border-radius: 0px;
}

*, *::before, *::after {
  box-sizing: inherit;
}
*, *::before, *::after {
  box-sizing: border-box;
}
*, *::before, *::after {
  box-sizing: border-box;
}

.elementor-counter-title {
	text-align: center;
}

/* --- menu langue --- */
.elementor-nav-menu--main .wpml-ls-item,
.elementor-nav-menu--main .item-mobile {
	display: none !important;
}
@media (max-width: 1024px) {
	.elementor-nav-menu--main .wpml-ls-item,
	.elementor-nav-menu--main .item-mobile  {
		display: block !important;
	}
}

/* ----------- Animation point fort halo ----------- */
.highligth-anim::after {
  content: '';
  position: absolute;
  inset: 0;

  background: linear-gradient(
    to right,
    transparent 0%,
    rgba(255,255,255,.02) 20%,
    rgba(255,255,255,.08) 40%,
    rgba(255,255,255,.16) 50%,
    rgba(255,255,255,.08) 60%,
    rgba(255,255,255,.02) 80%,
    transparent 100%
  );

  background-size: 350% 100%;
  background-position: 100% 0;
  background-repeat: no-repeat;

  opacity: 0;
  pointer-events: none;
}
.highligth-anim:hover::after {
  opacity: 1;
  animation: halo-sweep 4s ease forwards;
}
@keyframes halo-sweep {
  from { background-position: 100% 0; }   /* entièrement à droite */
  to   { background-position: -50% 0; }  /* entièrement à gauche */
}

.carousel-service-home .swiper-slide {
    transition: opacity .6s ease;
}
.carousel-service-home .swiper-slide-prev {
    opacity: 0;
    transition-delay: .3s;
}


/* ----------- Card-service ----------- */ 
.card-services .card-services-btn-icon { 
    opacity: 0; 
    margin-left: -25px; 
    transform: translateX(-10px); 
    transition: all .35s ease; 
    
} 
.card-services:hover .card-services-btn-icon { 
    opacity: 1; 
    margin-left: 0; 
    transform: translateX(0); 
}
.card-services-btn::after {
    content: "";
    position: absolute;
    right: -59px;
    bottom: -1px;

    width: 60px;
    height: 62px;

    background: white;

    clip-path: polygon(0 0, 100% 100%, 0 100%);

    pointer-events: none;
}
@media (max-width: 1024px) {
    .card-services-btn::after {
        bottom: -1px;
        height: 60px;
    }
}
@media (max-width: 767px) {
    .card-services .card-services-btn-icon {
        opacity: 1;
        margin-left: 10px;
    }
}


/* ----------- Card Réalisations ----------- */
.card-realisation {
    position: relative;
    overflow: hidden;
    aspect-ratio: 87 / 43;
}
.card-realisation > .elementor-absolute {
    position: absolute !important;
    inset: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
}
.card-realisation > .elementor-absolute img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    display: block;
    transition: transform 0.6s ease;
}
.card-realisation:hover > .elementor-absolute img {
    transform: scale(1.05);
}
.card-realisation::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(19, 27, 32, 0.80);
    opacity: 0;
    z-index: 1;
    pointer-events: none;
    transition: opacity 0.3s ease;
}
.card-realisation:hover::before {
    opacity: 0.8;
}
.card-realisation-content {
    opacity: 0;
    transform: translateY(35px);
    transition:
        opacity .45s ease,
        transform .65s cubic-bezier(.22, 1, .36, 1);
    z-index: 2;
}
.card-realisation:hover .card-realisation-content {
    opacity: 1;
    transform: translateY(0);
}
.card-realisation-btn {
    position: relative;
    opacity: 0;
    transform: translateX(60px);
    transition:
        opacity .45s ease,
        transform .65s cubic-bezier(.22, 1, .36, 1);
    transition-delay: .08s;
    z-index: 2;
}
.card-realisation-btn:hover .elementor-icon {
	transform: translateX(2px);
}
.card-realisation-btn::before {
    content: "";
    position: absolute;
    left: -85.5px;
    bottom: 0;
    width: 86px;
    height: 93px;
    background: white;
    clip-path: polygon(100% 0, 100% 100%, 0 100%);
    pointer-events: none;
}
.card-realisation:hover .card-realisation-btn {
    opacity: 1;
    transform: translateX(0);
}
/* ─── Breakpoints ─── */
@media (max-width: 1024px) {
    .card-realisation {
        aspect-ratio: 19 / 10;
    }
    .card-realisation::before {
        background: linear-gradient(
            0deg,
            rgba(19, 27, 32, .8) 0%,
            rgba(19, 27, 32, 0) 100%
        );
        opacity: 0.8;
    }
    .card-realisation .card-realisation-content,
    .card-realisation .card-realisation-btn {
        opacity: 1;
        transform: none;
        transition: none;
    }
}
@media (max-width: 767px) {
    .card-realisation {
        aspect-ratio: 1 / 1;
    }
}


/* ----------- Carousel Services ----------- */
.services-switch {
  position: relative;
  overflow: visible;
}
.services-texts {
  position: relative;
  min-height: 300px;
  pointer-events: none;
  z-index: 2;
}
.service-text {
  position: absolute !important;
  inset: 0;
  opacity: 0;
  visibility: hidden;
  pointer-events: none !important;
  transform: translateY(-150px);
  transition:
    opacity .35s ease,
    transform .75s cubic-bezier(.16, 1, .3, 1),
    visibility 0s linear .75s;
}
.service-text.is-active {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}
.service-text.is-exit {
  opacity: 0;
  visibility: hidden;
  transform: translateY(150px);
}

/* Carousel */
.services-carousel {
  position: relative;
  z-index: 5;
  overflow: visible !important;
}
.services-carousel .swiper,
.services-carousel .e-n-carousel {
  overflow: visible !important;
}
.services-carousel .swiper-wrapper {
  transition-timing-function: cubic-bezier(.22, 1, .36, 1) !important;
}
.services-carousel .swiper-slide {
  opacity: .65;
  transition: opacity .45s ease;
}
.services-carousel .swiper-slide.is-custom-active {
  opacity: 1;
}
.services-carousel .swiper-slide.is-custom-hidden {
  opacity: 0;
  visibility: hidden;
}
.services-carousel {
  --e-n-carousel-slides-to-show: 1 !important;
  --e-n-carousel-swiper-slides-to-display: 1 !important;
  --e-n-carousel-swiper-slides-gap: 24px !important;
}
.services-carousel {
  width: 47%;
  right: 3%;
}
.services-carousel .elementor-swiper-button {
  backdrop-filter: blur(10px);
}
.services-carousel .swiper-wrapper {
    transition: transform .6s ease;
}
.services-carousel.is-last .swiper-wrapper {
  margin-left: -640px;
}

@media(max-width:1366px) {
    .services-carousel.is-last .swiper-wrapper {
      margin-left: -300px;
    }
}
@media(max-width:1024px) {
    .services-carousel.is-last .swiper-wrapper {
      margin-left: -200px;
    }
}
@media (max-width: 767px) {
  .services-switch {
    overflow: hidden;
  }
  .services-carousel {
    position: relative !important;
    width: 100% !important;
    right: auto !important;
    margin-top: 30px;
  }
  .service-text{
      position:relative !important;
      display:none;
  }
  .service-text.is-active{
      display:block;
  }
  .services-carousel .swiper,
  .services-carousel .e-n-carousel {
    overflow: hidden !important;
  }
  .services-carousel .swiper-slide {
    opacity: 1;
  }
  .services-carousel .swiper-slide.is-custom-hidden {
    opacity: 0;
    visibility: hidden;
  }
  .services-carousel.is-last .swiper-wrapper {
    margin-left: 0 !important;
  }
}


/* ----------- Pagination réalisation ----------- */
.pagination-realisations .prev-next {
    display: flex !important;
    width: 44px !important;
    height: 44px !important;
    justify-content: center !important;
    align-items: center !important;
    background: #6B702E !important;
    border-radius: 2px !important;
}
.pagination-realisations .prev-next:hover {
    border: 1px solid #6B702E;
    background-color: transparent !important;
}
.pagination-realisations .prev-next:hover .jet-filters-pagination__link {
    color: #6B702E !important;
}
.pagination-realisations .prev-next .jet-filters-pagination__link:hover {
    border: none !important;
}
.pagination-realisations .prev-next .jet-filters-pagination__link {
    color: #D9D9D9 !important;
}

/* ----------- Carrousels Smooth ----------- */
.carousel-smooth .swiper {
  cursor: grab;
}
.carousel-smooth .swiper:active {
  cursor: grabbing;
}
.carousel-smooth .swiper-wrapper {
  will-change: transform;
}
.carousel-smooth .swiper-slide {
  backface-visibility: hidden;
  transform: translateZ(0);
}
.carousel-smooth .card-services {
  user-select: none;
  -webkit-user-drag: none;
}